Subject: [CCAMP] I-D Action: draft-ietf-ccamp-wson-yang-16.txt

From: [email-masked]
Date: Mon, 19 Nov 2018 10:00:59 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Common Control and Measurement Plane WG of the IETF.

        Title           : A YANG Data Model for WSON Optical Networks
        Authors         : Young Lee
                          Dhruv Dhody
                          Aihua Guo
                          Victor Lopez
                          Daniel King
	Filename        : draft-ietf-ccamp-wson-yang-16.txt
	Pages           : 74
	Date            : 2018-11-19

Abstract:
   This document provides a YANG data model for the routing and
   wavelength assignment (RWA) TE topology in wavelength switched
   optical networks (WSONs).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-ccamp-wson-yang-16
https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-wson-yang-16

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-wson-yang-16

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: tom petch <[email-masked]>
Date: Tue, 20 Nov 2018 17:28:28 +0000

I think that this I-D needs some more work on it.

- I have never seen a YANG module with so few Normative References; in
fact, you cannot validly have one with so few.  Recall that Normative
means you need to understand them in order to understand the I-D and at
the very least RFC7950 is in that category and I suspect most of the
others are too (but not RFC8340).

- IANA Considerations references RFC7950; all this RFC does is tell the
reader to go to RFC6020 so that should be the reference here.

- The Security Considerations is not current - it lacks any mention of
RESTCONF.  This will require Normative References to RFC6241, RFC6242,
RFC8341 amd RFC8446.

RFC6536 is referenced but not in the I-D References

The Abstract and Introduction fail to mention whether or not the modules
are NMDA-compliant.

The YANG module has a lower case 'must' but no indication in the body of
the I-D as to how this should be interpreted.

The YANG module contains

" ...the generic TE topology module [TE-TOPO] based on the information
model developed in [RFC7446] and the two encoding documents [RFC7581]
and [RFC7579] that developed protocol independent encodings based on
[RFC7446]. "
AYANG module must be plain text so XML-style references in the module
itself are not permitted; all those [....] look suspiciously like
references in which case, they must go.

The YANG module 'import' statements

 import ietf-network {   prefix "nw";  }
 import ietf-network-topology {    prefix "nt";  }
 import ietf-te-topology {    prefix "tet";  }
 import ietf-layer0-types {    prefix "layer0-types";

need to reference the RFC where these modules can be found, e.g.
  import ietf-network { prefix "nw";
   reference "RFC 8345: A YANG Data Model for Network Topologies"; }

The YANG module references
RFC6163
RFC6205
RFC7698
none of which are in the References.  'reference' statements in the
module must be plain text but the document must be referenced from the
body of the I-D with a suitable entry in the References of the I-D.

module ietf-layer0-types
lacks a YANG version statement.

Tom Petch

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, November 19, 2018 6:00 PM
Subject: I-D Action: draft-ietf-ccamp-wson-yang-16.txt

> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Leeyoung <[email-masked]>
Date: Mon, 26 Nov 2018 22:39:36 +0000

Hi Tom,

Thanks for your comments. Please see the attached diff file that compares v16 and v17. I believe all your comments have been incorporated except RFC8446 (TLS3.1) reference. Please also see inline for my response to each of your comments. 

Let me know if you have any further comments. 

Best regards,
Young

-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Tuesday, November 20, 2018 11:28 AM
To: [email-masked]
Cc: Leeyoung <[email-masked]>
Subject: Re: I-D Action: draft-ietf-ccamp-wson-yang-16.txt

- I have never seen a YANG module with so few Normative References; in fact, you cannot validly have one with so few.  Recall that Normative means you need to understand them in order to understand the I-D and at the very least RFC7950 is in that category and I suspect most of the others are too (but not RFC8340).

YL>> Agree. 

- IANA Considerations references RFC7950; all this RFC does is tell the reader to go to RFC6020 so that should be the reference here.

YL>> Added. 

- The Security Considerations is not current - it lacks any mention of RESTCONF.  This will require Normative References to RFC6241, RFC6242,
RFC8341 amd RFC8446.

YL>> Added RESRCONF reference. Normative References to RFC6241, RFC6242, and RFC8341 were added. TLS1.3 reference, RFC8446 was not added. I was not sure how this one relates to the draft. 

YL>> Added. 

The Abstract and Introduction fail to mention whether or not the modules are NMDA-compliant.

YL>> Added/ 

The YANG module has a lower case 'must' but no indication in the body of the I-D as to how this should be interpreted.

YL>> Added Section 1.1 Requirements Language section. 

The YANG module contains

" ...the generic TE topology module [TE-TOPO] based on the information model developed in [RFC7446] and the two encoding documents [RFC7581] and [RFC7579] that developed protocol independent encodings based on [RFC7446]. "
AYANG module must be plain text so XML-style references in the module itself are not permitted; all those [....] look suspiciously like references in which case, they must go.

YL>> Removed all the references and its related text. 

YL>> Added reference statement for each imported module.

The YANG module references
RFC6163
RFC6205
RFC7698
none of which are in the References.  'reference' statements in the module must be plain text but the document must be referenced from the body of the I-D with a suitable entry in the References of the I-D.

YL>> Added all of these in  the reference section. 

module ietf-layer0-types

YL>> Added. 

Tom Petch

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, November 19, 2018 6:00 PM
Subject: I-D Action: draft-ietf-ccamp-wson-yang-16.txt

> Internet-Draft directories: http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Leeyoung <[email-masked]>
Date: Tue, 27 Nov 2018 16:07:15 +0000

Hi Tom,

A bit more editing -- Added RFC8446 in the Security Section per https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines 

Please see the diff https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-wson-yang-17 and let us know if there is any further fix needed. 

Thanks.
Young

-----Original Message-----
From: Leeyoung
Sent: Monday, November 26, 2018 4:40 PM
To: 'tom petch' <[email-masked]>; [email-masked]
Subject: RE: I-D Action: draft-ietf-ccamp-wson-yang-16.txt

Hi Tom,

Best regards,
Young

-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Tuesday, November 20, 2018 11:28 AM
To: [email-masked]
Cc: Leeyoung <[email-masked]>
Subject: Re: I-D Action: draft-ietf-ccamp-wson-yang-16.txt

YL>> Agree. 

YL>> Added. 

YL>> Added. 

YL>> Added/

The YANG module contains

module ietf-layer0-types

YL>> Added. 

Tom Petch

---

From: tom petch <[email-masked]>
Date: Thu, 29 Nov 2018 15:12:20 +0000

Looking better, still needs a few tweaks IMHO.

Title; varies
A YANG Data Model for WSON Optical Networks
A YANG Data Model for WSON (Wavelenghth Switched Optical Networks)

neither of which seem quite right; perhaps
A YANG Data Model for WSON (Wavelength Switched Optical Networks)

 reference
   "RFC XXX: A YANG Data Model for...
/XXX/XXXX/

OLD
  import ietf-te-topology {    prefix "tet";  }
   reference
      "draft-ietf-teas-yang-te-topo-18: YANG Data Model for
       Traffic Engineering (TE) Topologies";

NEW
  import ietf-te-topology {    prefix "tet";  }
   reference
      "RFC YYYY: YANG Data Model for  Traffic Engineering (TE)
Topologies";
-- Note to RFC Editor please replace YYYY with the number assigned to
draft-ietf-teas-yang-te-topo

OLD
  import ietf-layer0-types {
    prefix "layer0-types";
    reference
      "draft-ietf-teas-yang-te-types-01: Traffic Engineering
       Common YANG Types";

NEW
  import ietf-layer0-types {
    prefix "layer0-types";
    reference
      "RFC ZZZZ Traffic Engineering Common YANG Types";
-- Note to RFC Editor please replace ZZZZ with the number assigned to
draft-ietf-teas-yang-te-types

IANA Considerations references RFC7950 which just says go read RFC6020;
readers better helped by
   Module Names registry [RFC6020]:

I-D References now has
6163
6205
7698
which is good but you need to add them to the body of the I-D lest you
get unused references.  Suggest a Section 3.1or 1.4
" This module references [RFC6163], [RFC7205], [RFC7698] ...."
I like the way that
draft-ietf-netmod-syslog-model
handles this, titles and all.

I see that you found the Security Considerations that calls for TLS!

Tom Petch

----- Original Message -----
From: "Leeyoung" <[email-masked]>
To: "tom petch" <[email-masked]>; <[email-masked]>
Sent: Tuesday, November 27, 2018 4:07 PM

Hi Tom,

A bit more editing -- Added RFC8446 in the Security Section per
https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines

Please see the diff
https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-wson-yang-17 and let
us know if there is any further fix needed.

Thanks.
Young

-----Original Message-----
From: Leeyoung
Sent: Monday, November 26, 2018 4:40 PM
To: 'tom petch' <[email-masked]>; [email-masked]
Subject: RE: I-D Action: draft-ietf-ccamp-wson-yang-16.txt

Hi Tom,

Thanks for your comments. Please see the attached diff file that
compares v16 and v17. I believe all your comments have been incorporated
except RFC8446 (TLS3.1) reference. Please also see inline for my
response to each of your comments.

Best regards,
Young

-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Tuesday, November 20, 2018 11:28 AM

YL>> Agree.

YL>> Added.

YL>> Added RESRCONF reference. Normative References to RFC6241, RFC6242,
and RFC8341 were added. TLS1.3 reference, RFC8446 was not added. I was
not sure how this one relates to the draft.

YL>> Added.

YL>> Added/

The YANG module contains

module ietf-layer0-types

YL>> Added.

Tom Petch